### Function

# GeglParallelDistributeRangeFunc

#### Declaration

    void
    (* GeglParallelDistributeRangeFunc) (
      gsize offset,
      gsize size,
      gpointer user_data
    )

#### Description [src]

Specifies the type of function passed to gegl_parallel_distribute_range().

The function should process `size` elements of the data, starting at `offset`.

#### Parameters

`offset`

  Type: `gsize`

  The current data offset.

`size`

  Type: `gsize`

  The current data size.

`user_data`

  Type: `gpointer`

  User data pointer.

  The argument can be `NULL`.
  The data is owned by the caller of the function.